#include "stdio.h"
#include "stdlib.h"

void Process(FILE *fp1, FILE *fp2)
{
	int i1, i2, i3;
	float f;
 	while (fscanf (fp1, "%d\t%d\t%d\n", &i1, &i2, &i3) > 0) {
//		fprintf(fp2, "%f ", f1);
		printf("%d %d %d\n", i1, i2, i3);
		f = ((float)i3/1000);
		fprintf(fp2, "%d %d %f\n", (i1-1), (i2-1), f);
	}
	fclose(fp1);
	fclose(fp2);
}

void printUsage()
{
	printf("./pickup InputFile OutputFile\n");
	printf("[e.g.] ./pickup meridian meridian.txt\n");
}


int main (int argc, char **argv) 
{

	FILE *inputfile, *outputfile;

	if (argc != 3)
	{
		printUsage();
		exit(0);
	}
	int i;

	inputfile = fopen(argv[1], "r");
	outputfile = fopen(argv[2], "w");
	Process(inputfile, outputfile);
	fclose(inputfile);
	fclose(outputfile);
	return 0;	
}

