#include "stdio.h"
#include "stdlib.h"

void Process(FILE *fp1, FILE *fp2)
{
	char s1[255];
	char s2[255];
	char s3[255];
	int i1, i2;
	float f1, f2, f3;
 	while (fscanf (fp1, "%d %d %s %f %s %f %s %f\n", &i1, &i2, s1, &f1, s2, &f2, s3, &f3) > 0) {
		fprintf(fp2, "%f ", f1);
	}
	fclose(fp1);
	fclose(fp2);
}

void printUsage()
{
	printf("./pickup InputFile OutputFile\n");
	printf("[e.g.] ./pickup test.RE test_nc.txt\n");
}


int main (int argc, char **argv) 
{

	FILE *inputfile, *outputfile;

	if (argc != 3)
	{
		printUsage();
		exit(0);
	}
	int i;

	inputfile = fopen(argv[1], "r");
	outputfile = fopen(argv[2], "w");
	Process(inputfile, outputfile);
	fclose(inputfile);
	fclose(outputfile);
	return 0;	
}


