# -*- coding: cp936 -*-
# python process.py 226 median 32 10

import os
import sys
from string import *

def output_final(data_list, times):
    temp_count = 0
    temp_total = 0.0
    print '[',
    for x in data_list:
        temp_total = temp_total + x
        temp_count= temp_count+1
        if (temp_count == times):
            print temp_total/temp_count,
            temp_total = 0
            temp_count = 0
    print ']'

current = 0

RE_Vivaldi = []
RE_Pharos = []
LS_Vivaldi = []
LS_Pharos = []
ESM_Vivaldi = []
ESM_Pharos = []
MST_Vivaldi = []
MST_Pharos = []
LGK_Vivaldi = []
LGK_Pharos = []
UOverlay_Vivaldi = []
UOverlay_Pharos = []

#print sys.argv[3]i
print sys.argv
if (len(sys.argv) != 5):
    print 'Usage: python process.py [NodeCount] [Matrix] [ClusterNum] [Repeat #]'
    print 'Example: python process.py 226 median 16 10 (PlanetLab dataset)'
    print 'Example: python process.py 1740 king.txt 32 10 (King dataset)'
    sys.exit(1)

repeat = atoi(sys.argv[4])

for dimension in range(3, 13):


    for times in range(0, repeat):
        cmd = './vivaldi -n '+ sys.argv[1] +' -x '+str(dimension)+' -k 32 -l ' + sys.argv[2] + ' -g cr -O oo -r 5000 -c '+sys.argv[3] +' > output.txt'
        print cmd
        os.system(cmd)
        f=open("output.txt", "r")
        lines=f.read().split("\n")
        for x in lines:
            y = x.split(" ")

            if (len(y) > 2):
                if (y[0] == "WhereIs"):
                    if y[3] == 'Vivaldi':
                        print 'V: ',
                        current = 1
                    if y[3] == 'Pharos':
                        print '\n',
                        print 'P: ',
                        current = 2
#                    print '\t',
                # Relative Error
                if (y[1] == "RE"):
                    print 'RE %.2f\t' % atof(y[3]),

                    if (current == 1):
                        RE_Vivaldi.append(atof(y[3]))
                    if (current == 2):
                        RE_Pharos.append(atof(y[3]))

		if (y[1] == "LS"):
                    print 'LS %.2f\t' % atof(y[3]),
		    if (current == 1):
			LS_Vivaldi.append(atof(y[3]))
		    if (current == 2):
			LS_Pharos.append(atof(y[3]))

                if (y[0] == "MST"):
                    print 'MST %.2f\t' % atof(y[7]),
                    if (current == 1):
                        MST_Vivaldi.append(atof(y[7]))
                    if (current == 2):
                        MST_Pharos.append(atof(y[7]))

                if (y[0] == "ESM"):
                    print 'ESM %.2f\t' % atof(y[7]),
                    if (current == 1):
                        ESM_Vivaldi.append(atof(y[7]))
                    if (current == 2):
                        ESM_Pharos.append(atof(y[7]))
                        
                if (y[0] == "LGK"):
                    print 'LGK %.2f\t' % atof(y[3]),

                    if (current == 1):
                        LGK_Vivaldi.append(atof(y[3]))
                    if (current == 2):
                        LGK_Pharos.append(atof(y[3]))
                        

                if (y[0] == "Unstructured"):
                    print 'UOverlay %.2f\t' % atof(y[3]),

                    if (current == 1):
                        UOverlay_Vivaldi.append(atof(y[3]))
                    if (current == 2):
                        UOverlay_Pharos.append(atof(y[3]))

        print '\n'            
        f.close()

output_final(RE_Vivaldi, repeat)
output_final(RE_Pharos, repeat)
output_final(LS_Vivaldi, repeat)
output_final(LS_Pharos, repeat)
output_final(ESM_Vivaldi, repeat)
output_final(ESM_Pharos, repeat)
output_final(MST_Vivaldi, repeat)
output_final(MST_Pharos, repeat)
output_final(LGK_Vivaldi, repeat)
output_final(LGK_Pharos, repeat)
output_final(UOverlay_Vivaldi, repeat)
output_final(UOverlay_Pharos, repeat)

os.system("rm hv_*.txt")
os.system("rm oo.*")
